{% extends 'dashboard/dashboard_content.html' %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-archive"></i>
                Add UT Timetable
            </h2>
            <ul class="nav navbar-right panel_toolbox">
                <li><a class="save btn btn-sm btn-info"
                       href="{% url 'view_ut_timetable' semester_pk=selected_semester %}" style="color: #5b06b5">Delete
                    UT Timetable</a>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for semester in list_of_semesters %}
                        {% if forloop.counter == 1 %}
                            <li {% if selected_semester == semester.semester_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ semester.semester_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ semester.display_text }}

                                </a>
                            </li>
                        {% else %}
                            <li {% if selected_semester == semester.semester_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ semester.semester_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ semester.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="form-horizontal form-label-left">
                        <div class="form-group">
                            <div class="form-group" id="end_student">
                                <label class="col-md-3 col-sm-3 col-xs-12 control-label">Unit Test Number</label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select id="id_ut_number" name="ut_number" required class="form-control">
                                        <option value="" selected>Select Unit Test Number</option>
                                        <option value="1">Unit Test I</option>
                                        <option value="2">Unit Test II</option>
                                        <option value="3">Unit Test III</option>
                                    </select>
                                </div>
                            </div>
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Select Subject
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select id="id_course" class="form-control" name="course" required>
                                    <option value="" selected>Select a Course</option>
                                    {% for course in list_of_courses %}
                                        <option value="{{ course.pk }}">{{ course }}</option>
                                    {% endfor %}
                                </select>
                            </div>
                        </div>

                        <div class="form-group" id="start_student">
                            <label class="col-md-3 col-sm-3 col-xs-12 control-label">Date</label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="text" id="id_date" name="date" required class="form-control">
                                </input>
                            </div>
                        </div>

                        <div class="form-group" id="day">
                            <label class="col-md-3 col-sm-3 col-xs-12 control-label">FN or AN</label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <select id="id_fn_an" name="end_student" required class="form-control">
                                    <option value="" selected>Select FN/AN</option>
                                    <option value="FN">FN</option>
                                    <option value="AN">AN</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <button id="add" type="submit" class="btn btn-success">Add UT Timetable</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div>
                <table class="table table-hover table-striped " style="table-layout:fixed">
                    <thead>
                    <tr>
                        <th style="word-wrap: break-word">S. No.</th>
                        <th style="word-wrap: break-word">UT Number</th>
                        <th style="word-wrap: break-word">Course</th>
                        <th style="word-wrap: break-word">Date</th>
                        <th style="word-wrap: break-word">FN/AN</th>
                    </tr>
                    </thead>
                    <tbody id="content">
                    {% for tt in list_of_ut_timetable %}
                        <tr>
                            <td style="word-wrap: break-word">{{ forloop.counter }}</td>
                            <td style="word-wrap: break-word">{{ tt.ut_number }}</td>
                            <td style="word-wrap: break-word">{{ tt.course_name }}</td>
                            <td style="word-wrap: break-word">{{ tt.date }}</td>
                            <td style="word-wrap: break-word">{{ tt.fn_or_an }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
        <br>
        <br>
        <br>
        <br>
    </div>

    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>


    <script type="text/javascript">


        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {
                //curent_subject = this.id;
                {#                alert(this.id);#}

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_semester'});
                $hiddenInput.appendTo('form');


                $('#dummy_form').submit();

            });
        });

        $(function () {
            $("#id_date").datepicker({
                dateFormat: "dd-mm-yy",
            });
        });


        $(document).on("click", '#add', function (e) {

            var course_pk = $('#id_course').val();
            var ut_number = $('#id_ut_number').val();
            var date = $('#id_date').val();
            var fn_or_an = $('#id_fn_an').val();
            alert(fn_or_an);

            //alert(course_pk);

            if (course_pk.length == 0 ||
                ut_number.length == 0 ||
                date.length == 0 ||
                fn_or_an.length == 0) {
                alert('Enter proper details');
                return;
            }

            $.ajax({
                type: "POST",
                data: {
                    selected_semester_pk: {{ selected_semester }},
                    course_pk: course_pk,
                    ut_number: ut_number,
                    date: date,
                    fn_or_an: fn_or_an,
                    csrfmiddlewaretoken: getCookie('csrftoken')
                },
                url: '{% url 'create_unit_test_timetable' %}',
                success: function (data) {
                    if (data['modal']) {
                        alert(data['modal']['body']);
                        return;
                    }
                    //alert('done');
                    $('#id_courses').val("");
                    $('#utno').val("");
                    $('#id_date').val("");
                    $('#id_fn_an').val("");
                    document.getElementById('content').innerHTML = "";

                    var counter = 1;

                    $.each(data.list, function (key, val) {
                        document.getElementById('content').innerHTML += '<tr><td style=\"word-wrap: break-word\"><br>' + counter++ + '</td><td style=\"word-wrap: break-word\">' +
                            val.ut_number + '</td><td style=\"word-wrap: break-word\">' +
                            val.course_name + '</td><td style=\"word-wrap: break-word\">' +
                            val.date + '</td><td style=\"word-wrap: break-word\">' +
                            val.fn_or_an + '</td></tr>';
                    })

                }
            });
        });
    </script>

{% endblock %}